Hdf5Util::H5ScopedAget_space Class Reference
Classes and functions used to implement this library » Hdf5 Utility Classes and Functions

Scoped object - opens an attribute data space on creation and closes it on destruction. More...

`#include <Hdf5Util.h>`

Inheritance diagram for Hdf5Util::H5ScopedAget_space:

## Public Member Functions

| H5ScopedAget_space (hid_t dataset_id)
| ~H5ScopedAget_space ()
Public Member Functions inherited from Hdf5Util::H5Base
| H5Base ()
hid_t | id () const
| Query the hid_t value.
| operator hid_t ()
| Implicit cast to hid_t.

## Additional Inherited Members

Protected Attributes inherited from Hdf5Util::H5Base
hid_t | m_id

## Detailed Description

Scoped object - opens an attribute data space on creation and closes it on destruction.

Definition at line 287 of file Hdf5Util.h.

## Constructor & Destructor Documentation

## H5ScopedAget_space()

Hdf5Util::H5ScopedAget_space::H5ScopedAget_space | ( | hid_t | dataset_id | ) |

inline

Definition at line 290 of file Hdf5Util.h.

{
GlobalLock lock(g_hdf5Mutex);
m_id = H5Aget_space(dataset_id);
if (m_id < 0)
throw Exc::AttrGetSpaceException("Couldn't get attribute space");
}
g_hdf5Mutex
FIELD3D_NAMESPACE_OPEN FIELD3D_API boost::recursive_mutex g_hdf5Mutex
Definition Hdf5Util.cpp:67
GlobalLock
boost::recursive_mutex::scoped_lock GlobalLock
Definition Hdf5Util.h:78
Hdf5Util::H5Base::m_id
hid_t m_id
Definition Hdf5Util.h:106

References g_hdf5Mutex, and Hdf5Util::H5Base::m_id.

## ~H5ScopedAget_space()

Hdf5Util::H5ScopedAget_space::~H5ScopedAget_space | ( |  | ) |

inline

Definition at line 297 of file Hdf5Util.h.

{
GlobalLock lock(g_hdf5Mutex);
if (m_id >= 0)
H5Sclose(m_id);
}

References g_hdf5Mutex, and Hdf5Util::H5Base::m_id.

The documentation for this class was generated from the following file:

- export/Hdf5Util.h